package com.ximai.mes.kanban.service;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.map.MapUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.ximai.common.utils.data.StringUtils;
import com.ximai.mes.cal.domain.CalPlanWorkunit;
import com.ximai.mes.cal.mapper.CalPlanWorkunitMapper;
import com.ximai.mes.constant.QcAbnormalTypeEnum;
import com.ximai.mes.kanban.dto.equipment.EquipmentQuery;
import com.ximai.mes.kanban.dto.equipment.EquipmentStatDto;
import com.ximai.mes.kanban.dto.material.BasicDailyData;
import com.ximai.mes.kanban.dto.material.ErpDataDto;
import com.ximai.mes.kanban.dto.material.MesDataDto;
import com.ximai.mes.md.domain.MdWorkunit;
import com.ximai.mes.md.service.IMdWorkunitService;
import com.ximai.mes.pro.domain.ProFeedback;
import com.ximai.mes.pro.domain.vo.ProFeedbackVo;
import com.ximai.mes.pro.dto.task.WorkunitProcessingDto;
import com.ximai.mes.pro.mapper.task.ProTaskWorkunitMapper;
import com.ximai.mes.pro.service.IProFeedbackService;
import com.ximai.mes.qc.domain.QcAbnormalReport;
import com.ximai.mes.qc.dto.QcAbnormalReportDto;
import com.ximai.mes.qc.dto.QcAbnormalReportStatusEnum;
import com.ximai.mes.qc.mapper.QcAbnormalReportMapper;
import com.ximai.mes.qc.service.IQcAbnormalReportService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.PostMapping;

import java.math.BigDecimal;
import java.time.Duration;
import java.time.LocalDateTime;
import java.time.LocalTime;
import java.util.*;
import java.util.concurrent.atomic.AtomicReference;
import java.util.stream.Collectors;

@Service
public class KanbanMaterialService {

    @Autowired
    private IProFeedbackService feedbackService;
    @Autowired
    private ProTaskWorkunitMapper taskWorkunitMapper;
    @Autowired
    private CalPlanWorkunitMapper calPlanWorkunitMapper;
    @Autowired
    private IMdWorkunitService workunitService;

    public ErpDataDto getErpData(){
        ErpDataDto rst = new ErpDataDto();
        rst.setMaterialDistRatio(new BigDecimal("42"));
        //趋势图
        ErpDataDto.InventoryTrend inventoryTrend = new ErpDataDto.InventoryTrend();
        List<BasicDailyData> stockInTrend = new ArrayList<>();
        LocalDateTime start = LocalDateTime.now().withDayOfMonth(1).with(LocalTime.MIN);
        LocalDateTime end = start.plusMonths(1).plusDays(-1).with(LocalTime.MAX);
        int dayOfMonth = end.getDayOfMonth();
        for(int i=1;i<=dayOfMonth;i++){
            stockInTrend.add(new BasicDailyData(i, new BigDecimal(new Random().nextInt(10))));
        }
        inventoryTrend.setStockInTrend(stockInTrend);
        List<BasicDailyData> stockOutTrend = new ArrayList<>();
        inventoryTrend.setStockOutTrend(stockOutTrend);
        for(int i=1;i<=dayOfMonth;i++){
            stockOutTrend.add(new BasicDailyData(i, new BigDecimal(new Random().nextInt(10))));
        }
        rst.setInventoryTrend(inventoryTrend);
        rst.setStockInCompleteRatio(new BigDecimal("24.2"));
        rst.setSalesTimelyDeliveryRatio(new BigDecimal("43.2"));
        List<ErpDataDto.SalesOutboundPlan> salesOutboundPlanList = new ArrayList<>();
        for(int i=0;i<8;i++){
            ErpDataDto.SalesOutboundPlan plan = new ErpDataDto.SalesOutboundPlan();
            plan.setPlanOutDate(new Date());
            plan.setOutApplyNo("JS201232" + i);
            plan.setOutQuantity(new BigDecimal(new Random().nextInt(20)));
            plan.setPlanQuantity(new BigDecimal(new Random().nextInt(20)));
            salesOutboundPlanList.add(plan);
        }
        rst.setSalesOutboundPlanList(salesOutboundPlanList);
        return rst;
    }

    public MesDataDto getMesData(){
        MesDataDto rst = new MesDataDto();
        rst.setStockInCompleteRatio(new BigDecimal("52"));
        List<MesDataDto.OrderInfoDto> orderInfoList = new ArrayList<>();
        for(int i=0;i<10;i++){
            MesDataDto.OrderInfoDto temp = new MesDataDto.OrderInfoDto();
            temp.setItemName("测试"+i);
            temp.setWorkorderNo("B20123212"+i);
            temp.setPlanFinishDate(new Date());
            temp.setFinishQuantity(new BigDecimal("200"));
            temp.setPlanQuantity(new BigDecimal("300"));
            orderInfoList.add(temp);
        }
        rst.setOrderInfoList(orderInfoList);
        return rst;
    }


}
